import http from "./interface";

// openId
export const login = (data) => {
  return http.request({
    url: "/api/wxuser/openid",
    method: "POST",
    data,
  });
};
export const configFun = (data) => {
  return http.request({
    url: "/api/config",
    method: "POST",
    data,
  });
};
// 获取手机号
export const getTel = (data) => {
  return http.request({
    url: "/api/wxuser/get/telnum",
    method: "POST",
    data,
  });
};
// 注册
export const register = (data) => {
  return http.request({
    url: "/api/wxuser/register",
    method: "POST",
    data,
  });
};
// 身份验证
export const chenckId = (data) => {
  return http.request({
    url: "/api/wxuser/ocr",
    method: "POST",
    data,
  });
};
// 法大大
export const fddRealName = (data) => {
  return http.request({
    url: "/api/wxuser/bind/fdd",
    method: "POST",
    data,
  });
};
//法大大是否验证
export const checkFdd = () => {
  return http.request({
    url: "/api/wxuser/fdd/check",
    method: "POST",
  });
};
export default {
  login,
  getTel,
  register,
  chenckId,
  fddRealName,
  checkFdd,
};
